Client version 2.5.2git on Linux does not show login-mask to updated NC server; server side is not backward compatible?

On Linux Mint 18.3 64bit Cinnamon I’m stuck to Nextcloud client v.2.5.2git on; the client refuse to upgrade because of compatibility issues with underlined libraries. Backward compatibility is needed.

For connection allread established, where login to server credentials are allready entered, everythings runs fine. If the login-mask must be recalled, depending from server config (but always with standard login page), it is presented empty (no visible/enterable fileds) and login is not possible. For, the issue seams confined to the login page.

Upgrade of NC client is not possible without upgrade Linux version; Mint 18.3 is based on LTS Ubuntu 16, supported till 04.2021.

DiegoM